@import '~iview/src/styles/custom.less';
@import './../styles/variables';

.layout-logo{
    width: 150px;
    background: #fff !important;
    border-radius: 3px;
    float: left;
    position: relative;
    top: 20px;
    left: 20px;
}

.truncate {
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    
    &::-webkit-scrollbar { // sass-lint:disable-line no-vendor-prefixes
        display: none;
    }
}
    
.layout-nav{
    float: right;
}

#header {
    padding: 0;
    width: 100%;
    z-index: 500;
    top: 0;
    
    .ivu-menu-light {
        background: #fff !important;
    }
}

.main-layout {
    
    .sider-filter {
        background: #fff;
        overflow: auto;
        
        .sider-filter-wrapper {
            padding: 30px;
            
            .map-toggle {
                border-bottom: 1px solid #DCDEE2;
                padding-bottom: 20px;
                display: flex;
                align-items: center;
            }
        }
        
        .ivu-collapse-simple {
            border: 0;
        }
        
        .ivu-collapse-header {
            height: auto;
            padding: 15px 0;
            line-height: 20px;
            
            .heading {
                font-weight: bold;
                font-size: 16px;
                display: flex;
                align-items: center;
            }
            
            .description {
                display: block;
                font-size: 12px;
                color: grey;
                padding-right: 20px;
            }
            
            > i {
                float: right;
                line-height: 20px;
                margin: 0;
                font-size: 16px;
            }
        }
        
        .ivu-collapse-content {
            padding: 0;
            
            label {
                margin: 0;
                display: block;
                padding-bottom: 10px;
            }
        }
    }
    
    .content {
        max-width: 900px;
        padding: 30px;
        background: #fff;
        margin: 0 auto;
    }
    
    .sider-map {
        background: #f1f1f1;
        max-width: 100% !important;
        flex: 1 !important;
        
        .map {
            height: 100%;
            width: 100%;
        }
        
        &.ivu-layout-sider-collapsed {
            flex: 0 !important;
        }
    }
}

.marker {
    background: white;
    padding: 8px;
    border-radius: 4px;
    font-size: 16px;
    font-weight: bold;
    box-shadow: 0 2px 4px 0 fade(#000000, 14),
            0 3px 5px 0 fade(#000000, 6),
            0 1px 20px 0 fade(#000000, 10);
    text-align: center;
    min-width: 60px;
    
    &:after, &:before {
        top: 100%;
        left: 50%;
        border: solid transparent;
        content: " ";
        height: 0;
        width: 0;
        position: absolute;
        pointer-events: none;
    }
    
    &:after {
        border-color: rgba(255, 255, 255, 0);
        border-top-color: #ffffff;
        border-width: 7px;
        margin-left: -7px;
    }
    &:before {
        border-color: rgba(220, 222, 226, 0);
        border-top-color: #DCDEE2;
        border-width: 8px;
        margin-left: -8px;
    }
}

.radius {
    width: 60px;
    height: 60px;
    text-align: center;
    border-radius: 100%;
    line-height: 60px;
    font-size: 16px;
    font-weight: bold;
    background: -moz-radial-gradient(center, ellipse cover, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 15%, rgba(255,255,255,0) 100%);
    background: -webkit-radial-gradient(center, ellipse cover, rgba(255,255,255,1) 0%,rgba(255,255,255,1) 15%,rgba(255,255,255,0) 100%);
    background: radial-gradient(ellipse at center, rgba(255,255,255,1) 0%,rgba(255,255,255,1) 15%,rgba(255,255,255,0) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#00ffffff',GradientType=1 );
}

@media @mobile {
    .main-layout .content {
        padding: 10px;
    }
    
    .sider-map {
        display: none;
    }
}
